import request from '@/utils/request'

// 查询批次说明列表
export function listMallBatchDetail(query) {
  return request({
    url: '/mall/mallBatchDetail/list',
    method: 'get',
    params: query
  })
}

// 查询批次说明详细
export function getMallBatchDetail(batchDetailId) {
  return request({
    url: '/mall/mallBatchDetail/' + batchDetailId,
    method: 'get'
  })
}

// 新增批次说明
export function addMallBatchDetail(data) {
  return request({
    url: '/mall/mallBatchDetail',
    method: 'post',
    data: data
  })
}

// 修改批次说明
export function updateMallBatchDetail(data) {
  return request({
    url: '/mall/mallBatchDetail',
    method: 'put',
    data: data
  })
}

// 删除批次说明
export function delMallBatchDetail(batchDetailId) {
  return request({
    url: '/mall/mallBatchDetail/' + batchDetailId,
    method: 'delete'
  })
}
